/*
 * Ejercicio5.java
 *
 * Creado el 26 de diciembre de 2005, 22:35
 */


package computacion.practica3;
import auxiliar.*;

/**
 *
 * @author Vctor Jimnez
 *
 * MTODOS NUMRICOS
 * LICENCIATURA DE MATEMTICAS
 * UNIVERSIDAD DE MURCIA
 */
public class Ejercicio5 {
    
    public static void main(String[] args) {
        FuncionEj5 p = new FuncionEj5();
        double cero;
        
        try{
            System.out.println();
            System.out.println("BSQUEDA DE LA RAZ EN [0,1]");
            System.out.println();
            System.out.println("Mtodo de la biseccin para p en [0, 1]:");
            cero = MetodosIterativos.biseccion(p, 0, 1, 1E-6, 100);            
            System.out.println();
            System.out.println("Mtodo de la Regula Falsi para p en [0, 1]:");
            cero = MetodosIterativos.regulaFalsi(p, 0, 1, 1E-6, 100);
            System.out.println();
            System.out.println("Mtodo de Newton para p empezando en 0.5:");
            cero = MetodosIterativos.newton(p, 0.5, 1E-6, 100);
            System.out.println();
        } catch(MetodosIterativos.ErrorMetodosIterativos noconverge) {
        }
        
        try{
            System.out.println("Probamos con el mtodo de Newton con otra " 
                    + "condicin inicial:");
            System.out.println();
            System.out.println("Mtodo de Newton para p empezando en 0.75:");
            cero = MetodosIterativos.newton(p, 0.75, 1E-6, 100);
            System.out.println();
        } catch(MetodosIterativos.ErrorMetodosIterativos noconverge) {
        }
                
        try{
            System.out.println();
            System.out.println("BSQUEDA DE LA RAZ EN [-1,0]");
            System.out.println();
            System.out.println("Mtodo de la biseccin para p en [-1, 0]:");
            cero = MetodosIterativos.biseccion(p, - 1, 0, 1E-6, 100);            
            System.out.println();
            System.out.println("Mtodo de la Regula Falsi para p en [-1, 0]:");
            cero = MetodosIterativos.regulaFalsi(p, - 1, 0, 1E-6, 100);
            System.out.println();
            System.out.println("Mtodo de Newton para p empezando en -0.5:");
            cero = MetodosIterativos.newton(p, - 0.5, 1E-6, 100);
            System.out.println();
        } catch(MetodosIterativos.ErrorMetodosIterativos noconverge) {
        }
        
    }
    
}
